# Uses of Class
org.codehaus.janino.util.signature.SignatureParser.MethodTypeSignature

Packages that use SignatureParser.MethodTypeSignature
Package
Description
org.codehaus.janino.util.signature
Application-independent helper classes.

## Uses of SignatureParser.MethodTypeSignature in org.codehaus.janino.util.signature

Methods in org.codehaus.janino.util.signature that return SignatureParser.MethodTypeSignature
Modifier and Type
Method
Description
`SignatureParser.MethodTypeSignature`
SignatureParser.`decodeMethodDescriptor(String s)`
Decodes a 'method descriptor' as defined in JVMS[78] 4.3.3.
`SignatureParser.MethodTypeSignature`
SignatureParser.`decodeMethodTypeSignature(String s)`
Decodes a 'method type signature' as defined in JVMS7 4.3.4 / JVMS8 4.7.9.1.